"use strict";

function _typeof(obj) { "@babel/helpers - typeof"; if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

var _enzyme = require("enzyme");

var _react = _interopRequireDefault(require("react"));

var _BootstrapProvider = _interopRequireDefault(require("@bootstrap-styled/provider/lib/BootstrapProvider"));

var _Overlay = _interopRequireWildcard(require("../Overlay"));

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || _typeof(obj) !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Testing our Overlay component
 */
describe('<Overlay />', function () {
  var theme;
  var props;
  beforeEach(function () {
    theme = _Overlay.defaultProps.theme; // eslint-disable-line prefer-destructuring

    props = Object.assign(_Overlay.defaultProps, {
      active: false
    });
  });
  it('should render an Overlay', function () {
    var renderedComponent = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, /*#__PURE__*/_react.default.createElement(_Overlay.default, props)));
    expect(renderedComponent.find('Overlay').length).toEqual(1);
  });
  it('should render an Overlay without an active props', function () {
    var renderedComponent = (0, _enzyme.mount)( /*#__PURE__*/_react.default.createElement(_BootstrapProvider.default, {
      theme: theme,
      injectGlobal: false
    }, /*#__PURE__*/_react.default.createElement(_Overlay.default, Object.assign(props, {
      active: true
    }))));
    expect(renderedComponent.find('Overlay').props().active).toBe(true);
  });
});